#include <SignalManager.h>


int x = 1;
void SIGINT_Handler ( int signo )
	{
	SignalManager::reporter.outputError (
		CDEV_SEVERITY_INFO,
		"Signal Manager",
		"[SIGINT] Ignoring interrupt signal");
	signal(signo, SIGINT_Handler);
	x++;
	}

int main ()
	{
	SignalManager manager;
	manager.installDefaults();
	manager.installHandler (SIGINT, SIGINT_Handler);
	while(1)
		{
		if(x%5==0) raise(SIGABRT);
		}
	return 0;
	}
